> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/spritemanager/underalldrawnlayer.md).

# UnderAllDrawnLayer

### Introduction

The UnderAllDrawn Layer is a Layer that is automatically created by the FlatRedBall Engine and available through the SpriteManager as a static member. This Layer can be used to render objects which should appear under other objects, such as game backgrounds. This layer can be used if your game already has a large number of un-layered objects and you want to add something that should always be drawn behind these objects. It will likely be much easier to add one (or a few) objects to the UnderAllDrawnLayer than to move all existing objects onto a new Layer.

### Code Example

The following code creates a Sprite and adds it to the UnderAllDrawnLayer:

```
Sprite sprite = SpriteManager.AddSprite("redball.bmp");
SpriteManager.AddToLayer(sprite, SpriteManager.UnderAllDrawnLayer);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/spritemanager/underalldrawnlayer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
